-----------------------------------------------------------
-- TECS 1.0
-----------------------------------------------------------
-- TaskMan Event Calendaring System
--
-- Version: 1.0
-- 
-- If running TECS in a MySQL environment this file will
-- create a database 'taskman' and a single table, called
-- 'tasks'.  Thie file should be run only in the initial
-- setup of your database, and can be run using a utility
-- such as MySQL Administrator.
--
-- This file was exported from a MySQL 5.0.15-nt database
-- server.
--
-----------------------------------------------------------

--
-- Create schema taskman
--

CREATE DATABASE taskman;
USE taskman;

--
-- Table structure for table `taskman`.`tasks`
--

DROP TABLE IF EXISTS `tasks`;
CREATE TABLE `tasks` (
  `task_id` int(10) unsigned NOT NULL default '0' COMMENT 'The task ID as generated by TaskMan''s export functionality.',
  `filename` varchar(255) NOT NULL default '' COMMENT 'The filename of the export file.',
  `name` varchar(255) NOT NULL default '' COMMENT 'The name of the task.',
  `type` varchar(255) NOT NULL default '' COMMENT 'The type of task.',
  `schedule_frequency` varchar(255) NOT NULL default '' COMMENT 'The schedule frequency.',
  `schedule_period` varchar(255) NOT NULL default '' COMMENT 'The schedule period.',
  `schedule_start` varchar(255) NOT NULL default '' COMMENT 'The schedule start time.',
  `schedule_stop` varchar(255) NOT NULL default '' COMMENT 'The schedule end time',
  `schedule_wait-on` varchar(1023) default '' COMMENT 'A comma-delimated list of other tasks that this task waits on.  Tasks are defined by the name (despite the fact name is not a key unfortunately...).  This field is also an unusually large varchar.  If this databse is ever migrated this may cause a problem.  Large varchars were first implemented in MySQL 5.0.3.',
  `schedule_late-alert` varchar(255) default '' COMMENT 'The time for a late alert to be sent.',
  PRIMARY KEY  (`task_id`,`filename`)
) TYPE=MyISAM;
